
public enum WeekDay {
	MONDAY, TUESDAY, WEDNESDAY,
	THURSDAY, FRIDAY, SATURDAY, SUNDAY;
	
	public static WeekDay valueOf(int value) {
		switch(value) {
		case 0: return MONDAY;
		case 1: return TUESDAY;
		case 2: return WEDNESDAY;
		case 3: return THURSDAY;
		case 4: return FRIDAY;
		case 5: return SATURDAY;
		case 6: return SUNDAY;
		default: return null;
		}
	}
	
	public static String[] names() {
        String[] names = new String[WeekDay.values().length];
        for (WeekDay day : WeekDay.values()) {
        	names[day.ordinal()] = day.toString();
        }
        return names;
	}
}
